## com.google.appengine.api.search
Class ExpressionTreeBuilder

    java.lang.Object
      com.google.appengine.api.search.ExpressionTreeBuilder

    public class ExpressionTreeBuilder

extends java.lang.Object

A generator of AST representation of an expression. This class can use an optionally supplied CommonTreeAdaptor to process the tree further. If successful it returns the root of an AST representing the parsed query.

Constructor Summary
`ExpressionTreeBuilder()`
`ExpressionTreeBuilder(CommonTreeAdaptor adaptor)`

Method Summary
`CommonTree` `parse(java.lang.String expression)` Parses the user expression and returns a `CommonTree`.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExpressionTreeBuilder

    public ExpressionTreeBuilder()

### ExpressionTreeBuilder

    public ExpressionTreeBuilder(CommonTreeAdaptor adaptor)

Method Detail

### parse

    public CommonTree parse(java.lang.String expression)
                     throws RecognitionException

  Parses the user expression and returns a `CommonTree`.

  Parameters:
    `expression` - the expression to parse
  Returns:
    a CommonTree constructed from the expression
  Throws:
    `RecognitionException` - if the user expression is invalid